Table of Contents

Class: DOMTemplate | Twisted-0.17.4/twisted/web/domtemplate.py
--- | ---

Base Classes |
--- | ---
Resource

Methods |
--- | ---
__init__ getTemplateMethods lookupTemplate processNode processWidget render
| __init__

    __init__ ( self,  model )

| getTemplateMethods

    getTemplateMethods ( self )

Override this to return a list of dictionaries specifying the tag attributes to associate with a method.

1. g. to call the `foo` method each time a tag with the class `bar` is encountered, use a dictionary like this:

{'class': `bar`, 'method': self.foo}

To call the "destroy" method each time the tag, class, or id "blink" is encountered, use a dictionary like this:

{'class': `blink`, 'id': `blink`, 'tag': `blink`, 'method': self.destroy}

| lookupTemplate

    lookupTemplate ( self,  request )

| processNode

    processNode (
            self,
            request,
            node,
            )

| processWidget

    processWidget (
            self,
            request,
            widget,
            node,
            )

Render a widget, and insert it in the current node.

| render

    render ( self,  request )

Exceptions |
--- | ---
AttributeError, "%s does not define self.templateFile to operate on" % self.__class__

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0